> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.erlcrussia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verifica un dominio CDN

> Controlla i record DNS e il certificato del dominio.



## OpenAPI

````yaml it/openapi/it-api-v3-openapi.yaml POST /cdn/custom-domains/{id}/verify
openapi: 3.1.0
info:
  title: ER:LC Russia API V3
  description: >-
    API ER:LC Russia per server, utenti, CDN, reindirizzamenti, abbonamenti e
    chiavi di accesso.
  version: 3.0.0
servers:
  - url: https://api.erlcrussia.com/v3
    description: Server di produzione (com)
  - url: https://api.erlcrussia.xyz/v3
    description: Server di backup (xyz)
security: []
tags:
  - name: ER:Server LC
    description: Ottenere status, online, elenchi di giocatori e staff del server ER:LC.
  - name: 'ER: Squadre LC'
    description: >-
      Invio e accodamento di comandi del server di gioco (:h, :m, :kick, :ban,
      ecc.).
  - name: Economia
    description: >-
      Interazione con il sistema economico (utenti, imprese, mafie, negozi,
      pubblicità).
  - name: API statistiche
    description: >-
      Statistiche di acquisizione ad alte prestazioni dei server Discord e dei
      server di gioco (online, partecipanti, bot).
  - name: API di verifica
    description: Ricerca e confronto di account Discord ID e Roblox ID.
  - name: Risorse CDN
    description: >-
      Carica, gestisci, esegui statistiche e cancella la cache dei file di
      archiviazione di oggetti CDN MinIO/Edge.
  - name: Cartelle CDN
    description: >-
      Struttura gerarchica e ordinamento delle cartelle della libreria
      multimediale CDN.
  - name: API di punizione
    description: >-
      Gestisci il saldo e la cronologia delle transazioni dei punti dei
      giocatori.
  - name: API degli abbonamenti
    description: >-
      Catalogo dei piani, ordini FunPay, maturazione dei vantaggi e attivazione
      degli abbonamenti.
  - name: API di autorizzazione
    description: >-
      Accedi tramite Discord e Roblox OAuth2, gestisci le sessioni utente e
      collega gli account.
  - name: 'API di gestione: chiavi WebSocket'
    description: >-
      Gestione delle chiavi di accesso al gateway WebSocket e agli abbonamenti
      ai canali.
  - name: 'API di gestione: webhook'
    description: >-
      Registrazione, convalida dell'accessibilità e monitoraggio dei webhook
      personalizzati.
  - name: API di controllo - Pannello
    description: >-
      Gestione utenti, abbonamenti, tariffe, saldo manuale e statistiche di
      sistema.
  - name: API di stato
    description: >-
      Monitoraggio delle prestazioni del servizio, connessioni a PostgreSQL e
      Redis.
  - name: AI Audio
  - name: AI Studio
  - name: 'API di amministrazione: server'
  - name: API di gestione - Server
  - name: 'API di gestione: token'
  - name: Amministrazione AI
  - name: Amministrazione delle monete elettroniche
  - name: CDN
  - name: CDN V3
  - name: Chiavi API
  - name: Domini CDN
  - name: File privati e libreria
  - name: L'organizzazione reindirizza la V3
  - name: Webhook personalizzati
  - name: Рекламные кампании V3
paths:
  /cdn/custom-domains/{id}/verify:
    post:
      tags:
        - CDN V3
      summary: Verifica un dominio CDN
      description: Controlla i record DNS e il certificato del dominio.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Risposta riuscita.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  domain:
                    type: object
                    properties:
                      id:
                        type: string
                      domain:
                        type: string
                      type:
                        type: string
                      isVerified:
                        type: boolean
                      cnameVerified:
                        type: boolean
                      cfStatus:
                        type: string
                      cfSslStatus:
                        type: string
                      teamId:
                        type: string
                  verification:
                    type: object
                    properties:
                      cfStatus:
                        type: string
                      cfSslStatus:
                        type: string
                      isVerified:
                        type: boolean
                      cname:
                        type: object
                        properties:
                          name:
                            type: string
                          expected:
                            type: string
                          current:
                            type: string
                          found:
                            type: boolean
                      ownershipVerification:
                        type: object
                        properties:
                          type:
                            type: string
                          name:
                            type: string
                          value:
                            type: string
                      sslValidation:
                        type: object
                        properties:
                          type:
                            type: string
                          txtName:
                            type: string
                          txtValue:
                            type: string
                      certificate:
                        type: object
                        properties:
                          issuer:
                            type: string
                          expiresOn:
                            type: string
                            format: date-time
                  isVerified:
                    type: boolean
                  cnameVerified:
                    type: boolean
                  cfStatus:
                    type: string
                  cfSslStatus:
                    type: string
                  ownershipTokenChanged:
                    type: boolean
                  sslTokenChanged:
                    type: boolean
                  message:
                    type: string
              example:
                success: true
                domain:
                  id: dom_9Qx2
                  domain: files.example.com
                  type: cdn
                  isVerified: true
                  cnameVerified: true
                  cfStatus: active
                  cfSslStatus: active
                  teamId: team_7f3a
                verification:
                  cfStatus: active
                  cfSslStatus: active
                  isVerified: true
                  cname:
                    name: files.example.com
                    expected: cname.erlcrussia.com
                    current: cname.erlcrussia.com
                    found: true
                  ownershipVerification:
                    type: txt
                    name: _cf-custom-hostname.files.example.com
                    value: 8f3c2a1e-5b7d-4e9f-a1c3-2b4d6e8f0a1c
                  sslValidation:
                    type: txt
                    txtName: _acme-challenge.files.example.com
                    txtValue: Xy7Kq2LmZp9Wd4Rt
                  certificate:
                    issuer: Google Trust Services
                    expiresOn: '2027-01-19T12:00:00Z'
                isVerified: true
                cnameVerified: true
                cfStatus: active
                cfSslStatus: active
                ownershipTokenChanged: false
                sslTokenChanged: false
                message: Проверка CDN-домена завершена
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          description: Nessun accesso all'organizzazione o alla risorsa.
        '429':
          description: >-
            È stato raggiunto il limite delle richieste. Considera Retry-After;
            Non eseguire download paralleli illimitati.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                code: 5016
                message: Rate Limit Exceeded
      security:
        - ApiKeyHeader: []
components:
  responses:
    BadRequestError:
      description: 'Richiesta errata (400): parametri di richiesta non validi.'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missing_params:
              summary: Missing Parameters (5002)
              value:
                code: 5002
                message: Missing Parameters
            invalid_json:
              summary: Invalid JSON (5034)
              value:
                code: 5034
                message: Invalid Json
            invalid_param:
              summary: Invalid Param Name (5004)
              value:
                code: 5004
                message: Invalid Param Name
    UnauthorizedError:
      description: 'Non autorizzato (401): il token API manca o non è valido.'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missing_token:
              summary: Missing Token (5007)
              value:
                code: 5007
                message: Missing Token
            invalid_token:
              summary: Invalid Token (5008)
              value:
                code: 5008
                message: Invalid Token
  schemas:
    APIError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        error:
          type: string
        details:
          type: object
          additionalProperties: true
      required:
        - code
        - message
    ErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 5009
          description: Codice errore numerico ER:LC Russia API.
        message:
          type: string
          example: Forbidden
          description: Messaggio di errore di sistema in inglese.
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: erlcrussia-api-key
      description: >-
        Chiave API personalizzata. Memorizzare sul server; non includere
        JavaScript lato client.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.